javax.batch.api.chunk

## Class AbstractItemReader

- java.lang.Object
- - javax.batch.api.chunk.AbstractItemReader

All Implemented Interfaces:
  ItemReader

    public abstract class AbstractItemReader
    extends Object
    implements ItemReader

The AbstractItemReader provides default implementations of less commonly implemented methods.

### Constructor Summary

Constructors
Constructor and Description
`AbstractItemReader()`

### Method Summary

Methods
`Serializable` `checkpointInfo()` Override this method if the ItemReader supports checkpoints.
`void` `close()` Override this method if the ItemReader requires any close time processing.
`void` `open(Serializable checkpoint)` Override this method if the ItemReader requires any open time processing.
`abstract Object` `readItem()` Implement read logic for the ItemReader in this method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractItemReader

    public AbstractItemReader()

### Method Detail

#### open

    public void open(Serializable checkpoint)
              throws Exception

Override this method if the ItemReader requires any open time processing. The default implementation does nothing.

Specified by:
  `open` in interface `ItemReader`
Parameters:
  `checkpoint` - last checkpoint for this ItemReader - may be null.
Throws:
  `Exception` - (or subclass) if an error occurs.

#### close

    public void close()
               throws Exception

Override this method if the ItemReader requires any close time processing. The default implementation does nothing.

Specified by:
  `close` in interface `ItemReader`
Throws:
  `Exception` - (or subclass) if an error occurs.

#### readItem

    public abstract Object readItem()
                             throws Exception

Implement read logic for the ItemReader in this method.

Specified by:
  `readItem` in interface `ItemReader`
Returns:
  next item or null
Throws:
  `Exception` - (or subclass) if an error occurs.

#### checkpointInfo

    public Serializable checkpointInfo()
                                throws Exception

Override this method if the ItemReader supports checkpoints. The default implementation returns null.

Specified by:
  `checkpointInfo` in interface `ItemReader`
Returns:
  checkpoint data
Throws:
  `Exception` - (or subclass) if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0